package io.gmss.fiscad.interfaces.infocad.parametre;

import io.gmss.fiscad.entities.infocad.parametre.TypeDomaine;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface TypeDomaineService {

    TypeDomaine createTypeDomaine(TypeDomaine typeDomaine) throws BadRequestException;

    TypeDomaine updateTypeDomaine(Long id, TypeDomaine typeDomaine) throws NotFoundException;

    void deleteTypeDomaine(Long id) throws NotFoundException;

    Page<TypeDomaine> getTypeDomaineList(Pageable pageable);

    List<TypeDomaine> getTypeDomaineList();

    Optional<TypeDomaine> getTypeDomaineById(Long id);
}
